GET_edgeDevices_{linkId}_lockStatus

GET /edgeDevices/{linkId}/lockStatus

This resource is used to retrieve current status of the specified edge device. The body of the response is the JSON object lockStatus as defined in the ENGAGE - JSON Data Structures document.

Authentication

Basic: Unique credentials defined and accepted during setup.

Request

URI parameters: <missing or is this 'None'?>

Type: path parameter

  • linkId = linked edge device identifier, as defined in the ENGAGE - JSON Data Structures document, section titled “Gateway Edge Device Link List”.  For reader-controllers this is a constant dev00000.

Success Response(s)

HTTP status code: 200

Response parameters: <missing or is this 'None'?>

Type: application/json

  • edgeDevice = parent tag, children tag as follows:
    • linkId = definition in Schlage ENGAGE - JSON Data Structures document. For reader-controllers this is a constant dev00000.
    • sensorStatus = parent tag + children; as defined in the ENGAGE - JSON Data Structures document, section titled “Lock Control” related to the related to the Persistent Connection structures.
    • lockStatus = parent tag + children; as defined in ENGAGE - JSON Data Structures document, section titled “Lock Status” related to the related to the Persistent Connection structures.

Example

{"edgeDevice":{"linkId":"dev00001","sensorStatus":{"rexActive":"F","fdrActive":"F","tamperOpen":"T","magTamperDetected":"T",
"rtcBatteryStatus":"normal","locked":"T","primaryBatteryStatus":"normal","doorOpen":"F"},"lockStatus":{"currentLockState":"sec"}}}

 

Last Modified: October 16, 2019